Zum Hauptinhalt springen
GET
/
api
/
articles
List Articles
curl --request GET \
  --url https://app.polygonone.com/api/articles \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "internalArticleNr": "<string>",
    "externalArticleNr": "<string>",
    "hsCode": "<string>",
    "ean": "<string>",
    "shortDescription": "<string>",
    "eudrRelevant": true,
    "suppliers": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "email": "<string>",
        "contactName": "<string>",
        "country": "<string>",
        "externalSupplierId": "<string>",
        "address": {
          "street": "<string>",
          "postalCode": "<string>",
          "city": "<string>",
          "additional": "<string>",
          "validated": true,
          "latitude": 123,
          "longitude": 123
        },
        "isCompanySelf": true,
        "articles": "<array>"
      }
    ],
    "complianceResults": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "supplierArticleId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "generatedReportUrl": "<string>",
        "generatedAt": "2023-11-07T05:31:56Z",
        "updatedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "countryOfProduction": "<string>"
  }
]

Autorisierungen

Authorization
string
header
erforderlich

API key generated in Settings > API Keys. Include as Authorization: Bearer <key>.

Abfrageparameter

internalArticleNr
string

Filter by internal article number (ERP ID)

externalArticleNr
string

Filter by external article number

hsCode
string

Filter by HS code

commodityGroup
enum<string>

Filter by commodity group EUDR-regulated commodity groups. non_relevant = article is not covered by EUDR.

Verfügbare Optionen:
cattle,
cocoa,
coffee,
oil_palm,
rubber,
soya,
wood,
non_relevant
articleType
enum<string>

Filter by article type purchase = inbound article from a supplier, sale = outbound article you sell

Verfügbare Optionen:
purchase,
sale
eudrRelevant
boolean

Filter by EUDR relevance

limit
integer
Standard:100

Maximum number of results to return

offset
integer
Standard:0

Number of results to skip for pagination

Antwort

List of articles

id
string<uuid>
name
string
internalArticleNr
string

Internal article number (ERP ID)

externalArticleNr
string | null
hsCode
string

Harmonized System code

ean
string | null
shortDescription
string | null
eudrRelevant
boolean

Automatically determined from HS code

articleType
enum<string>

purchase = inbound article from a supplier, sale = outbound article you sell

Verfügbare Optionen:
purchase,
sale
commodityGroup
enum<string>

EUDR-regulated commodity groups. non_relevant = article is not covered by EUDR.

Verfügbare Optionen:
cattle,
cocoa,
coffee,
oil_palm,
rubber,
soya,
wood,
non_relevant
suppliers
object[]
complianceResults
object[]
countryOfProduction
string | null